#!/bin/tcsh

echo "Burning the following tracks to a CD"

set nbmp3 = 0
set nbwav = 0

### SCSI emulation problem hack:
#modprobe -r sg

### scan tracks
foreach track ($argv[*])
  ls $track
  if($track:e == "mp3") then
    @ nbmp3 += 1
  endif
  if($track:e == "wav") then
    @ nbwav += 1
  endif
  if (! -e $track) exit
end

echo ""
if ($nbmp3 > 0 && $nbwav > 0) then
  echo "Burning $nbmp3 mp3 files and $nbwav wav files"
  echo "ERROR: cannot mix audio formats!"
  exit
endif

if ($nbmp3 > 0 && $nbwav == 0) then
  echo "Burning $nbmp3 mp3 files"
  foreach track ($argv[*])
    echo "  burning $track to CD"
    mpg123 -s $track | cdrecord -v dev=0,0,0 speed=4 -audio -pad -swab -nofix -
  end
  cdrecord -v dev=0,0,0 -fix -eject

  exit
endif

if ($nbmp3 == 0 && $nbwav > 0) then
  echo "Burning $nbwav wav files"
  foreach track ($argv[*])
    echo "  burning $track to CD"
    cat $track | cdrecord -v dev=0,0,0 speed=4 -audio -swab -nofix -
  end
  cdrecord -v dev=0,0,0 -fix -eject

  exit
endif

#
