#!/bin/tcsh
cd
set cdate=`date +%y%m%d`
touch archive-${cdate}.txt
tar -cvzf archive/binarchive${cdate}.tgz \
*.txt *.sh README \
bin/*.pm bin/*.pl bin/*.sh\
bin/playtimefilter \
bin/mp3cutter \
PalmClient/*.c PalmClient/*.h PalmClient/bitmaps/*.bmp PalmClient/*.rcp PalmClient/*.txt PalmClient/*.bat PalmClient/*.prj PalmClient/*.def PalmClient/Makefile \
database/*.txt database/*.mysql database/make* database/README \
public_html/website/[^d]* \
public_html/website/download.php \
public_html/website/download/beta/* public_html/website/download/contrib/* \
public_html/webint 

rm archive-${cdate}.txt
echo cdate ${cdate}

rcp archive/binarchive${cdate}.tgz thor:/home/rolf/MyProjects/PalmProjects/gd/binarchive.tgz
#
#
