<?php

include "gdweb.inc";
include "gdwebdef.php";

$playtp = set_get_cookie($setplaytp, "playtp", "dl", $HTTP_COOKIE_VARS);

print_header ("browse");

$dbh = mysql_connect();	

#phpinfo();

#######################################################################################
### Constants
$trunclen = 30; # characters


### Functions
function write_alphabet($prefix, $highlight)
{
  $cnt = ord("a");
  while ($cnt <= ord("z")){
    if ($cnt == ord($highlight)){print "<b>";};
    print "<a class=\"brslst\" href=\"".$prefix.chr($cnt)."\">".chr($cnt)."..</a> ";
    if ($cnt == ord($highlight)){print "</b>";};
    $cnt++;
  }
}

function write_artistlink($prefix, $artist)
{
  global $trunclen;
  if (strlen($artist)>$trunclen){
    $art = substr($artist, 0, $trunclen);
    $appendix="..";
  }
  else{
    $art = $artist;
    $appendix="";
  }
  print "<a class=\"brslst\" href=\"".$prefix.urlencode($art)."\">"
        .htmlentities($art).$appendix."</a>&nbsp; ";
}


function write_albumlink($prefix, $albumrecord)
{
  global $trunclen;
  #print $albumrecord["artist"]." - ".$albumrecord["title"]." [".$albumrecord["cddbid"]."], ";
  print "<tr>";  #<tr class="lnodd"   ...even>
  print "<td class=\"trklst\">";
  if (strlen($albumrecord["coverimg"])>1){
    $imgpath = full_mp3_fname($albumrecord["coverimg"]);
	print "<a href=\"$imgpath\">";
    print "<img width=\"20\" src=\"".$imgpath."\" height=\"20\" border=\"0\">";
	print "</a>";
  }
  print "</td>";
  print "<td class=\"trklst\">".$albumrecord["artist"]."</td>";
  print "<td class=\"trklst\"> - </td>";
  print "<td><a class=\"brslst\" href=\"".$prefix.$albumrecord["cddbid"]."\">"
        .$albumrecord["title"]."</a></td> ";

  #Album-Playlist-Link (by Merlot)
  print "<td class=\"trklst\">&nbsp;<a href=\"gdtrid2mp3.php?playtp=pr"
        ."&prAlbum=1" #don't use a new value for $playtp, it would interfere with cookie-settings
        ."&albid=".$albumrecord["cddbid"]
        ."&id=1"
        ."\">"."<img border=\"0\" src=\"img/dl.gif\" alt=\"Download\"></a></td>"; 
  print "</tr>";
}

#######################################################################################

?>

<p>

<?php 

### Show first level:
print "<table>";
print "<tr>";
print "<td><small><b><a href=\"browse.php?l0=tr-ar\">Tracks by Artist</a></b></small></td>";
print "<td><small><b><a href=\"browse.php?l0=tr-ti\">Tracks by Title</a></b></small></td>";
print "</small>";
print "<tr>";
print "<td><small><b><a href=\"browse.php?l0=al-ar\">Albums by Artist</a></b></small></td>";
print "<td><small><b>Albums by Title</b></small></td>";
#print "<td><small><b><a href=\"browse.php?l0=al-ti\">Albums by Title</a></b></small></td>";
print "</small>";
print "</table>";


$qrystr = ""; # clear query string

if (isset($l0)){

  ### Tracks by Artist
  if (strcmp($l0, "tr-ar")==0){
    print "<h4>Tracks by Artist</h4>";
    write_alphabet("browse.php?l0=tr-ar&l1=", $l1);
    if (isset($l1)){ # level 1 specified?
      $tempquery = "SELECT DISTINCT artist FROM tracks WHERE artist LIKE '$l1%' ORDER BY artist";
      $recset = mysql_db_query ("GiantDisc", $tempquery);
      if (mysql_affected_rows()>0){print("<p><small>".mysql_affected_rows()." artists</small><br>");}
      while($row = mysql_fetch_array($recset)) {
	    write_artistlink("browse.php?l0=tr-ar&l1=$l1&ar=", $row["artist"]);
      }

	  if (isset($ar)){ # artist / level 2 specified?
        $qrystr = "SELECT * FROM tracks WHERE artist LIKE '$ar%' ORDER BY title ";
      }
	}
  }

  
  ### Tracks by Title
  if (strcmp($l0, "tr-ti")==0){
    print "<h4>Tracks by Title</h4>";
    write_alphabet("browse.php?l0=tr-ti&l1=", "");
	if (isset($l1)){ # level 1 specified?
      $qrystr = "SELECT * FROM tracks WHERE title LIKE '$l1%' ORDER BY title ";
	}
  }


  ### Albums by Artist
  if (strcmp($l0, "al-ar")==0){
    print "<h4>Albums by Artist</h4>";
    write_alphabet("browse.php?l0=al-ar&l1=", $l1);
      if (isset($l1)){ # level 1 specified?
#      print "<br><br>&nbsp; $l1";

#    print "<h4>Albums by Artist";
#	if (isset($l1)){ # level 1 specified?
#      print " &nbsp; $l1..</h4>";
      $tempquery = "SELECT DISTINCT artist FROM album WHERE artist LIKE '$l1%' ORDER BY artist";
      $recset = mysql_db_query ("GiantDisc", $tempquery);
      if (mysql_affected_rows()>0){print("<p><small>".mysql_affected_rows()." artists</small><br>");}
      while($row = mysql_fetch_array($recset)) {
	    write_artistlink("browse.php?l0=al-ar&l1=$l1&ar=", $row["artist"]);
      }

	  if (isset($ar)){ # artist / level 2 specified?
        $tempquery = "SELECT * FROM album WHERE artist LIKE '$ar%' ORDER BY title";
        $recset = mysql_db_query ("GiantDisc", $tempquery);
        if (mysql_affected_rows()>0){print("<p><small>".mysql_affected_rows()." albums</small><br>");}
        print "<table borders=\"0\">";
        while($row = mysql_fetch_array($recset)) {
	      write_albumlink("browse.php?l0=al-ar&l1=$l1&ar=$ar&albid=", $row);
        }
        print "</table>";
      }

	  if (isset($albid)){ # albumid / level 3 specified?
        $qrystr = "SELECT * FROM tracks WHERE sourceid = '$albid' ORDER BY tracknb ";
      }
	}
#	else{
#      print "</h4>";
#      write_alphabet("browse.php?l0=al-ar&l1=");
#	}
  }

}



if(strlen($qrystr)>0){ # do query and show tracks
  if (strlen($rating)==0){$rating=0;}
  ### query tracks
  $recset = mysql_db_query ("GiantDisc", $qrystr);
  
  ### display the tracks
  if (mysql_affected_rows()>0){print "<hr noshade>";}else{print "<p>&nbsp;</p>";}
  print("<p><small><b>".mysql_affected_rows()." machting tracks</b></small></p>");
  print("<table border=\"0\" cellspacing=\"0\">\n");
  $evenln = 1;
  while($row = mysql_fetch_array($recset)) {
    if ($evenln){
      print "<tr class=\"lneven\">";
	}
	else{
      print "<tr class=\"lnodd\">";
	}
    show_trackrow($row,
	          $showartist, $showtitle, $showgenre, $showlang, $showyear, $showrating,
			  $showbpm, $showsource, $showcreated, $showmodified, $showlength,
			  $showedit, $showdownload, $playtp, $showtoplaylist);
    $evenln = 1-$evenln; #toggle $evenln
	
	print "</tr>\n";
  }
  print("</table>\n");
/*
*/
  mysql_free_result($recset);
}
?>

<hr noshade>

<p>

<?php 
print_footer ("search");
?>
